package com.joe.print.mvp.ui.adapter;

import androidx.annotation.Nullable;
import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.gingersoft.gsa.cloud.common.R;
import com.gingersoft.gsa.cloud.common.core.pay.PayMethod;
import java.util.List;

/**
 * Created by Wyh on 2020/1/9.
 * 結賬方式
 */
public class BillTypeAdapter extends BaseQuickAdapter<PayMethod, BaseViewHolder> {

    public BillTypeAdapter(@Nullable List<PayMethod> data) {
        super(R.layout.base_print_item_bill_type, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, PayMethod item) {
        helper.setText(R.id.tv_total_amount_text, item.getPayName());
        helper.setText(R.id.tv_total_amount, "$" + item.getPayMoney());
    }
}
